%global pypi_name geoip2
%global srcname GeoIP2-python
%global test_data MaxMind-DB
%global test_data_rls 2b37923df61aa3b5fb6c7edfbf4dc5fafa10258a

Summary:        MaxMind GeoIP2 API
Name:           python-%{pypi_name}
Version:        4.7.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://www.maxmind.com/
Source0:        https://github.com/maxmind/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source1:        https://github.com/maxmind/%{test_data}/archive/%{test_data_rls}/%{test_data}-%{test_data_rls}.tar.gz

BuildRequires:  python3-devel %{_bindir}/sphinx-build
BuildArch:      noarch

%description
This package provides an API for the GeoIP2 web services.

%package -n python3-%{pypi_name}
Summary:        MaxMind GeoIP2 API

%description -n python3-%{pypi_name}
This package provides an API for the GeoIP2 web services.

%prep
%autosetup -n %{srcname}-%{version} -a 1
rmdir tests/data
mv -f %{test_data}-%{test_data_rls} tests/data

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
sphinx-build -b html docs html
rm -rf html/.{buildinfo,doctrees}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    %{__python3} -m unittest \
    tests/database_test.py \
    tests/models_test.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst html

%changelog
* Thu Sep 28 2023 Shuo Wang <abushwang@tencent.com> - 4.7.0-1
- update to 4.7.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Shuo Wang <abushwang@tencent.com> - 4.6.0-1
- initial build
